查询仪表盘版本历史
curl --request POST \
--url 'https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"dashboard_id": "0192f3a4-5b6c-7d8e-9f01-234567890abc"
}
'import requests
url = "https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key="
payload = { "dashboard_id": "0192f3a4-5b6c-7d8e-9f01-234567890abc" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({dashboard_id: '0192f3a4-5b6c-7d8e-9f01-234567890abc'})
};
fetch('https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dashboard_id' => '0192f3a4-5b6c-7d8e-9f01-234567890abc'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key="
payload := strings.NewReader("{\n \"dashboard_id\": \"0192f3a4-5b6c-7d8e-9f01-234567890abc\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key=")
.header("Content-Type", "application/json")
.body("{\n \"dashboard_id\": \"0192f3a4-5b6c-7d8e-9f01-234567890abc\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"dashboard_id\": \"0192f3a4-5b6c-7d8e-9f01-234567890abc\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"actor": {
"id": 2477033058177,
"name": "Mei Lin"
},
"created_at": 1792404240000,
"dashboard_id": "0192f3a4-5b6c-7d8e-9f01-234567890abc",
"message": "Raise the p95 threshold",
"revision": 3
}
]
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "AccessDenied",
"message": "Access Denied."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "InvalidParameter",
"message": "The specified parameter template_id is not valid."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "InvalidParameter",
"message": "The specified parameter template_id is not valid."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}仪表盘
查询仪表盘版本历史
查询仪表盘的版本历史,最新在前。
POST
/
rum
/
dashboard
/
revisions
/
list
查询仪表盘版本历史
curl --request POST \
--url 'https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"dashboard_id": "0192f3a4-5b6c-7d8e-9f01-234567890abc"
}
'import requests
url = "https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key="
payload = { "dashboard_id": "0192f3a4-5b6c-7d8e-9f01-234567890abc" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({dashboard_id: '0192f3a4-5b6c-7d8e-9f01-234567890abc'})
};
fetch('https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dashboard_id' => '0192f3a4-5b6c-7d8e-9f01-234567890abc'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key="
payload := strings.NewReader("{\n \"dashboard_id\": \"0192f3a4-5b6c-7d8e-9f01-234567890abc\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key=")
.header("Content-Type", "application/json")
.body("{\n \"dashboard_id\": \"0192f3a4-5b6c-7d8e-9f01-234567890abc\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flashcat.cloud/rum/dashboard/revisions/list?app_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"dashboard_id\": \"0192f3a4-5b6c-7d8e-9f01-234567890abc\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"actor": {
"id": 2477033058177,
"name": "Mei Lin"
},
"created_at": 1792404240000,
"dashboard_id": "0192f3a4-5b6c-7d8e-9f01-234567890abc",
"message": "Raise the p95 threshold",
"revision": 3
}
]
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "AccessDenied",
"message": "Access Denied."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "InvalidParameter",
"message": "The specified parameter template_id is not valid."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "InvalidParameter",
"message": "The specified parameter template_id is not valid."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}限制说明
| 项目 | 说明 |
|---|---|
| 速率限制 | 每个账户 1,000 次/分钟;50 次/秒 |
| 权限要求 | 无 —— 持有有效的 app_key 即可调用 |
使用说明
- 最多保留 20 个版本,更早的会被清理。此处不返回定义;查看某个版本请用
POST /rum/dashboard/revisions/get。 - 不存在的仪表盘返回 HTTP 404
DashboardNotFound;位于回收站的返回 HTTP 410DashboardDeleted。
授权
在 Flashduty 控制台 我的 → APP Key 中创建的 APP Key。可通过 query 参数 app_key 或请求头 Fd-App-Key 传入。实际可访问范围是该 APP Key 的权限范围与创建者当前角色权限的交集,请妥善保管。
请求体
application/json
指定单个仪表盘的请求。
仪表盘 ID,规范 UUIDv7。
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$此页面对您有帮助吗?